CustomDomain™ docs
API referenceAnalytics

Connect funnel and connection outcomes

GET
/analytics/connect

The widget funnel (sessions, how many entered a domain, were offered a one-click or sign-in rail, were shown records to copy, succeeded, where the rest stopped, per provider and root versus subdomain) and connection outcomes (live rate, time to live, per provider and method, why the rest are stuck), plus a daily series. API key; any member role.

AuthorizationBearer <token>

Long-lived tenant API key, cd_live_… (production) or cd_test_… (staging, development), stored hashed. Keys created before the switch to cd_ start with sk_live_… / sk_test_… and are still accepted. Scoped to the owning application's tenant.

In: header

Query Parameters

days?integer
Range1 <= value <= 180
Default30
app_id?string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/analytics/connect"
{  "window": {    "from": "2019-08-24T14:15:22Z",    "to": "2019-08-24T14:15:22Z",    "days": 0,    "application_id": "string"  },  "widget": {    "sessions": 0,    "entered_domain": 0,    "analyzed": 0,    "offered_automatic": 0,    "shown_manual": 0,    "succeeded": 0,    "succeeded_automatic": 0,    "errored": 0,    "conversion_rate": 0,    "median_seconds_to_success": 0,    "drop_off": [      {        "key": "string",        "count": 0      }    ],    "errors": [      {        "key": "string",        "count": 0      }    ],    "providers": [      {        "provider": "string",        "sessions": 0,        "succeeded": 0,        "automatic": 0      }    ],    "domain_kinds": [      {        "kind": "string",        "sessions": 0,        "succeeded": 0      }    ]  },  "connections": {    "total": 0,    "live": 0,    "pending": 0,    "propagating": 0,    "failed": 0,    "live_rate": 0,    "median_seconds_to_live": 0,    "by_provider": [      {        "provider": "string",        "total": 0,        "live": 0,        "pending": 0,        "failed": 0      }    ],    "by_method": [      {        "key": "string",        "total": 0,        "live": 0      }    ],    "by_kind": [      {        "key": "string",        "total": 0,        "live": 0      }    ],    "stuck": [      {        "key": "string",        "count": 0      }    ]  },  "daily": [    {      "date": "string",      "sessions": 0,      "succeeded": 0,      "created": 0,      "went_live": 0    }  ],  "truncated": true}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}